## qtoctave 0.5.1+dfsg

=== Makefile ===
all:
	cd qtoctave; /usr/lib/qt4//bin/qmake
	cd qtoctave; /usr/bin/gmake
	cd widgetserver; /usr/lib/qt4//bin/qmake
	cd widgetserver; /usr/bin/gmake
install:
	cd qtoctave; /usr/bin/gmake install
	cd widgetserver; /usr/bin/gmake install
uninstall:
	cd qtoctave; /usr/bin/gmake uninstall
	cd widgetserver; /usr/bin/gmake uninstall
clean:
	cd qtoctave; /usr/bin/gmake clean
	cd widgetserver; /usr/bin/gmake clean
	cd install-tool; /usr/bin/gmake clean

## qtoctave 0.8.2+dfsg

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

# The name of our project is "QTOCTAVE".  CMakeLists files in this project can
# refer to the root source directory of the project as ${QTOCTAVE_SOURCE_DIR} and
# to the root binary directory of the project as ${QTOCTAVE_BINARY_DIR}.

project (qtoctave)

#include ("options.txt")

#SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/qtoctave/cmake-modules/)

set(CMAKE_BUILD_TYPE Release)

#Uncoment to Verbose mode
#set(CMAKE_VERBOSE_MAKEFILE TRUE)

configure_file ( qtoctave/configure.h qtoctave/src/configure.h )

ADD_DEFINITIONS(-DUSER_CONFIG)

FIND_PACKAGE(Qt4 REQUIRED)

MESSAGE (STATUS "Use file: ${QT_USE_FILE}")
MESSAGE (STATUS "Qt version : ${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}")

SET(QT_USE_QTXML 1)

include(UseQt4)

if( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 5   )
	MESSAGE (FATAL_ERROR 
			"Qt version 4.5 required.\n"
			"Qt version installed is: ${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}\n"
			"Please install required version.\n"
		)
endif( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 5   )



add_subdirectory (qtoctave_pkg/src)
add_subdirectory (xmlwidget/qt4)
add_subdirectory (easy_plot)
add_subdirectory (simple_rcs)
add_subdirectory (qtjs)
add_subdirectory (qtoctave)


# install	(
# 	TARGETS src/config_files/qtoctave
# 	RUNTIME DESTINATION bin
# 	)

=== qtjs/CMakeLists.txt ===
add_subdirectory (src)

=== qtoctave/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

# The name of our project is "QTOCTAVE".  CMakeLists files in this project can
# refer to the root source directory of the project as ${QTOCTAVE_SOURCE_DIR} and
# to the root binary directory of the project as ${QTOCTAVE_BINARY_DIR}.

project (qtoctave)

#include ("options.txt")

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake-modules/)

set(CMAKE_BUILD_TYPE Release)

#Uncoment to Verbose mode
#set(CMAKE_VERBOSE_MAKEFILE TRUE)

configure_file ( configure.h src/configure.h )

ADD_DEFINITIONS(-DUSER_CONFIG)

add_subdirectory (src)


# install	(
# 	TARGETS src/config_files/qtoctave
# 	RUNTIME DESTINATION bin
# 	)


IF (UNIX)
  SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
  SET(CPACK_SOURCE_GENERATOR "TGZ")
  SET(CPACK_GENERATOR "TGZ")
  SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "qtoctave - a frontend for GNU octave")
  SET(CPACK_PACKAGE_VENDOR "The qtoctave team")
  SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/readme.txt")
  SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE_GPL.txt")
  SET(CPACK_PACKAGE_NAME qtoctave)
  SET(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME})
  SET(CPACK_PACKAGE_VERSION_MAJOR "0")
  SET(CPACK_PACKAGE_VERSION_MINOR "8.1")
  SET(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
  SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
  SET(CPACK_SOURCE_IGNORE_FILES "/.svn/;/cmake-build/")
  INCLUDE(CPack)
  INCLUDE(UseRPMTools OPTIONAL)
  IF(RPMTools_FOUND)
    RPMTools_ADD_RPM_TARGETS(${PROJECT_NAME} ${PROJECT_NAME}.spec.in)
  ENDIF(RPMTools_FOUND)
ENDIF (UNIX)

=== easy_plot/src/CMakeLists.txt ===
FIND_PACKAGE(Qt4 REQUIRED)

MESSAGE (STATUS "Use file: ${QT_USE_FILE}")

SET(QT_USE_QTSVG 1)
SET(QT_USE_QTXML 1)

include(UseQt4)

include_directories(${QT_INCLUDE_DIR})
include_directories(${QT_QT_INCLUDE_DIR})
include_directories(${QT_QTCORE_INCLUDE_DIR})
include_directories(${QT_QTGUI_INCLUDE_DIR})
include_directories(${QT_QTXML_INCLUDE_DIR})
include_directories(${QT_QTSVG_INCLUDE_DIR})

QT4_WRAP_UI(ui_design_main_window.h design_main_window.ui)
QT4_WRAP_UI(ui_export_to_dialog.h export_to_dialog.ui)
QT4_WRAP_UI(ui_view_angle.h view_angle.ui)

#QT4_GENERATE_MOC(gnuplot_connection.h gnuplot_connection.moc)
#QT4_GENERATE_MOC(input.h input.moc)
#QT4_GENERATE_MOC(main_window.h main_window.moc)

QT4_WRAP_CPP(moc_gnuplot_connection gnuplot_connection.h)
QT4_WRAP_CPP(moc_input input.h)
QT4_WRAP_CPP(moc_main_window main_window.h)

#QT4_AUTOMOC(gnuplot_connection.cpp gnuplot_connection.h input.cpp input.h main.cpp main_window.cpp main_window.h)

#ADD_DEFINITIONS(-D_REENTRANT)

add_executable(easy_plot 
	gnuplot_connection.cpp gnuplot_connection.h
	input.cpp input.h
	main.cpp
	main_window.cpp main_window.h
	ui_view_angle.h ui_export_to_dialog.h ui_design_main_window.h
	moc_gnuplot_connection.cxx moc_input.cxx moc_main_window.cxx
)

TARGET_LINK_LIBRARIES(easy_plot ${Qt4_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTSQL_LIBRARY} ${QT_QTSVG_LIBRARY})

install	(
		PROGRAMS easy_plot
		DESTINATION bin
	)

=== qtoctave/src/CMakeLists.txt ===
FIND_PACKAGE(Qt4 REQUIRED)

MESSAGE (STATUS "Use file: ${QT_USE_FILE}")

SET(QT_USE_QTXML 1)

include(UseQt4)

include_directories(${QT_INCLUDE_DIR})
include_directories(${QT_QT_INCLUDE_DIR})
include_directories(${QT_QTCORE_INCLUDE_DIR})
include_directories(${QT_QTGUI_INCLUDE_DIR})
include_directories(${QT_QTXML_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${QT_QTSVG_INCLUDE_DIR})

FILE(GLOB_RECURSE qtoctave_moc_headers *.h  )
FILE(GLOB_RECURSE qtoctave_sources *.cpp )
FILE(GLOB_RECURSE qtoctave_ui *.ui )

# run uic on .ui files:
QT4_WRAP_UI( qtoctave_ui_headers ${qtoctave_ui} )

# run moc on these files:
QT4_WRAP_CPP( qtoctave_moc_sources ${qtoctave_moc_headers} )
 
add_executable(qtoctave 
	${qtoctave_sources} ${qtoctave_moc_sources} ${qtoctave_ui_headers} ${qtoctave_moc_headers}
)

SET_TARGET_PROPERTIES(qtoctave
	PROPERTIES INSTALL_RPATH ":usr/lib"
	BUILD_WITH_INSTALL_RPATH true
	INSTALL_RPATH_USE_LINK_PATH true
)

TARGET_LINK_LIBRARIES(qtoctave ${Qt4_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTSVG_LIBRARY})

install (
	DIRECTORY images octave_doc qtoctave_doc menus scripts scripts_octave lang
	DESTINATION share/qtoctave
	PATTERN ".svn" EXCLUDE
        )

install	(
	TARGETS qtoctave
	RUNTIME DESTINATION bin
	)

install (
	FILES config_files/config.rc config_files/octave.xml
	DESTINATION share/qtoctave
	) 
 
install (
               FILES config_files/qtoctave.desktop
               DESTINATION share/applications
       )

install (
               FILES config_files/qtoctave.png
               DESTINATION share/icons/hicolor/64x64/apps/
        )

=== xmlwidget/qt4/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

# The name of our project is "XMLWIDGET".  CMakeLists files in this project can
# refer to the root source directory of the project as ${XMLWIDGET_SOURCE_DIR} and
# to the root binary directory of the project as ${XMLWIDGET_BINARY_DIR}.

project (xmlwidget)

#include ("options.txt")

set(CMAKE_BUILD_TYPE Release)
set(CMAKE_VERBOSE_MAKEFILE TRUE)

#configure_file ( configure.h src/configure.h )

#ADD_DEFINITIONS(-DUSER_CONFIG)

add_subdirectory (src)

## qtoctave 0.9.2%2bsvn255-1-maemo0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,12 @@
 
 #SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/qtoctave/cmake-modules/)
 
-set(CMAKE_BUILD_TYPE Release)
+IF (NOT CMAKE_BUILD_TYPE)
+   SET(CMAKE_BUILD_TYPE Release)
+ENDIF (NOT CMAKE_BUILD_TYPE)
 
 #Uncoment to Verbose mode
 #set(CMAKE_VERBOSE_MAKEFILE TRUE)
-
-configure_file ( qtoctave/configure.h qtoctave/src/configure.h )
 
 ADD_DEFINITIONS(-DUSER_CONFIG)
 
@@ -28,21 +28,20 @@
 
 include(UseQt4)
 
-if( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 5   )
+if( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 7   )
 	MESSAGE (FATAL_ERROR 
-			"Qt version 4.5 required.\n"
+			"Qt version 4.7 required.\n"
 			"Qt version installed is: ${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}\n"
 			"Please install required version.\n"
 		)
-endif( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 5   )
-
-
+endif( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 7   )
 
 add_subdirectory (qtoctave_pkg/src)
 add_subdirectory (xmlwidget/qt4)
 add_subdirectory (easy_plot)
 add_subdirectory (simple_rcs)
 add_subdirectory (qtjs)
+add_subdirectory (qtoctave-info-reader)
 add_subdirectory (qtoctave)

=== debian/changelog ===
qtoctave (0.9.2+svn255-1-maemo0) unstable; urgency=low

  * First build for Maemo

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sat, 20 Nov 2010 11:04:00 +0000

qtoctave (0.9.2+svn255-1) unstable; urgency=low

  * Package upstream SVN snapshot which contains rename qtinfo =>
    qtoctave-info-reader (closes: #584858)
  * Dropped patches (applied upstream)
    - generate_qm_files
    - install-supplementary-docs

 -- Thomas Weber <tweber@debian.org>  Sun, 13 Jun 2010 00:16:45 +0200

qtoctave (0.9.1-1) unstable; urgency=low

  [ Jordi Gutiérrez Hermoso ]
  * New upstream release
  * debian/watch: Update regexp to allow notification for bz2 archives
  * This version works with Qt 4.6 (closes: #565197,584349)
  * Removed +dfsg from version; upstream has stopped distributing
    GPL-questionable docs.
  * Dropped patches:
    - add_missing_includes (partly superseded by code changes, partly applied)
    - font-option-in-png-export (applied upstream)
    - install_easyplot_as_target (applied upstream)
  * Bump Standards-Version to 3.8.4 (no changes needed)
  * debian/docs: removed news.txt and LICENSE_GPL.txt
  * New patches:
    + generate_qm_files: ensure that l10n files get built
    + install-supplementary-docs: install more docs, mostly for qtoctave-utils
    + build-widgetserver: widgetserver wasn't included in newer CMake build,
      this fixes this
  * New stub manpages for easy_plot, qtinfo, qtjs, qtoctave_pkg, simplercs,
    xmlwidget

  [ Thomas Weber ]
  * debian/control: Remove Rafael Laboissiere from Uploaders (Closes: #571914)
  * Switch to dpkg-source 3.0 (quilt) format
  * No longer uuencode icons.tar file (dpkg-source 3.0 format allows binary
    files in the diff)
  * Dropped patches:
    - dont_include_simple_rcs (we install the simplercs command)
    - use_cstdio_header (applied upstream)
    - move_doc_under_doc (applied upstream)
  * Adapt patch build-out-of-source, part of it was applied upstream
  * Adapt patch use_octave_htmldoc for new release
  * Remove no-longer-true entry from README.Debian. We now ship simplercs.

 -- Jordi Gutiérrez Hermoso <jordigh@gmail.com>  Sun, 06 Jun 2010 15:10:08 +0200

qtoctave (0.8.2+dfsg-2) unstable; urgency=low

  * Fix build failure for GCC 4.4 via use_cstdio_header (closes: #550264)
    Thanks to Martin Michlmayr for both the report and the patch.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 11 Oct 2009 16:29:55 +0200

qtoctave (0.8.2+dfsg-1) unstable; urgency=low

  * New upstream version (closes: #538047)
  * Change packaging of dfsg-tarball and adapt patches to it.
    + We no longer move files around in the tarball for creating the
      dfsg-version.
    + Adapt patches and paths for Octave 3.2.
      - build-out-of-source is much shorter now
      - move_doc_under_doc adapted for new directories
    + Rename use_octave3.0-htmldoc to the more generic use_octave_htmldoc
    + New patches: 
      - dont_include_simple_rcs: We don't ship SimpleRCS in the dfsg tarball,
        so remove it from the build system as well.
      - install_easyplot_as_target: change signature of INSTALL command for
        out-out-source-builds

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 04 Oct 2009 10:08:00 +0200

qtoctave (0.8.1+dfsg-3) unstable; urgency=low

  * debian/patche/font-option-in-png-export: When exporting a figure in
    png format, give the correct font option to the print command,
    prepending -F to Helvetica:12 (closes: #521731)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 01 Apr 2009 22:15:59 +0200

qtoctave (0.8.1+dfsg-2) unstable; urgency=low

  * debian/control:
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Bump Standards-Version to 3.8.1 (no changes needed)
  * debian/copyright: Use © instead of (C) in copyright notices (Lintian
    warning)
  * debian/patches/add_missing_includes: Add description (Lintian warning)
  * debian/patches/build-out-of-source: Ditto
  * debian/patches/move_doc_under_doc: Ditto
  * debian/patches/use_octave3.0-htmldoc: Ditto

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Mar 2009 20:57:17 +0100

qtoctave (0.8.1+dfsg-1) experimental; urgency=low

  [ Jordi Gutiérrez Hermoso ]
  * New upstream release
  * Removed patch: add_path_for_cmake26, now builds without it.
  * Added missing includes (closes: #505334)
    + New patch: add_missing_includes
    + src/search_dialog.cpp: added "#include <stdio.h>"
    + src/octave_connection.cpp: added "#include <stdio.h>"

  [ Rafael Laboissiere ]
  * debian/rules: Add get-orig-source rule
  * debian/README.source: Add explanations on how the Debian upstream
    tarball is generated, complying with Debian Policy section 4.14
  * Uploaded to experimental, avoiding interference with the release of
    lenny

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 30 Nov 2008 15:40:20 +0000

qtoctave (0.7.4+dfsg-3) unstable; urgency=low

  * debian/watch: Remove "+dfsg" from the upstream version before number
    comparison
  * debian/patches/add_path_for_cmake26: Change patch, such that it works
    with both cmake 2.4 and 2.6 (this should make the package into
    testing, since hppa has only cmake 2.4)
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)
  * debian/clean, debian/rules, debian/control, debian/compat: Use
    debian/clean file for deleting files and bump build-dependency on
    debhelper to >= 7.0.0

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 16 Jul 2008 19:52:14 +0200

qtoctave (0.7.4+dfsg-2) unstable; urgency=low

  * New patch: add_path_for_cmake26, necessary for compilation with cmake 2.6
    (closes: #482253)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 31 May 2008 20:10:17 +0200

qtoctave (0.7.4+dfsg-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Drop the build-dependencies on several lib*-dev
    packages introduced in the previous versions.  Force the
    build-dependency on libqt4-dev to be equal or greater than 4.4.0~rc1-4


=== debian/control ===
Source: qtoctave
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Jordi Gutiérrez Hermoso <jordigh@gmail.com>,
 Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper, cdbs, cmake, sharutils,
 libqt4-dev (>= 4.4.0~rc1-4)
Standards-Version: 3.8.4
Homepage: http://qtoctave.wordpress.com/about/
Vcs-Git: git://git.debian.org/git/pkg-octave/qtoctave.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/qtoctave.git

Package: qtoctave
Architecture: any
Depends: octave, ${shlibs:Depends}, ${misc:Depends}
Recommends: octave-htmldoc
Description: A Qt front-end to Octave
 Besides offering an attractive front-end to GNU Octave, an
 environment for numerical computation highly compatible with MATLAB,
 QtOctave currently also features matrix data entry and display and
 some GUI shortcuts to frequently used Octave functions. It also
 offers access in place to Octave's HTML documentation with
 octave3.0-htmldoc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cmake.mk

# include icons
build/qtoctave::
	tar -xf debian/icons.tar -C debian

## qtoctave 0.9.2+svn255

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,13 +28,13 @@
 
 include(UseQt4)
 
-if( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 7   )
+if( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 6   )
 	MESSAGE (FATAL_ERROR 
-			"Qt version 4.7 required.\n"
+			"Qt version 4.6 required.\n"
 			"Qt version installed is: ${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}\n"
 			"Please install required version.\n"
 		)
-endif( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 7   )
+endif( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 6   )
 
 add_subdirectory (qtoctave_pkg/src)
 add_subdirectory (xmlwidget/qt4)

=== debian/changelog ===
qtoctave (0.9.2+svn255-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Update description to reflect recommends on
      octave3.2-htmldoc.
    - debian/patches/allow_qt_ge_46: allow build with Qt version >= 4.6
      (not just == 4.6).

 -- Andreas Wenning <awen@awen.dk>  Tue, 15 Jun 2010 23:23:18 +0200

qtoctave (0.9.1-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Update description to reflect recommends on
    octave3.2-htmldoc.
  * debian/patches/allow_qt_ge_46: allow build with Qt version >= 4.6
    (not just == 4.6).

 -- Andreas Wenning <awen@awen.dk>  Thu, 10 Jun 2010 15:40:08 +0200

qtoctave (0.8.2+dfsg-2ubuntu2) maverick; urgency=low

  * debian/control: Update description to reflect recommends on
    octave3.2-htmldoc. (LP: #578680)

 -- Andreas Wenning <awen@awen.dk>  Sat, 15 May 2010 11:31:08 +0200

qtoctave (0.8.2+dfsg-2ubuntu1) lucid; urgency=low

  * debian/patches/allow_qt_ge_44: allow build with Qt version >= 4.5
    (not just == 4.5) (LP: #507163).

 -- Kamal Mostafa <kamal@whence.com>  Sat, 16 Jan 2010 08:08:49 -0800

=== debian/control ===
Source: qtoctave
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Jordi Gutiérrez Hermoso <jordigh@gmail.com>,
 Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, cmake, sharutils,
 libqt4-dev (>= 4.4.0~rc1-4)
Standards-Version: 3.8.4
Homepage: http://qtoctave.wordpress.com/about/
Vcs-Git: git://git.debian.org/git/pkg-octave/qtoctave.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/qtoctave.git

Package: qtoctave
Architecture: any
Depends: octave3.2, ${shlibs:Depends}, ${misc:Depends}
Recommends: octave3.2-htmldoc
Description: A Qt front-end to Octave
 Besides offering an attractive front-end to GNU Octave, an
 environment for numerical computation highly compatible with MATLAB,
 QtOctave currently also features matrix data entry and display and
 some GUI shortcuts to frequently used Octave functions. It also
 offers access in place to Octave's HTML documentation with
 octave3.2-htmldoc.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//				\
	http://forja.rediris.es/frs/?group_id=60	\
	(?:.*)\/qtoctave-([\d*\.]+)\.tar\.(gz|bz2)

## qtoctave 0.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,13 +28,13 @@
 
 include(UseQt4)
 
-if( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 6   )
+if( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} GREATER 5   )
 	MESSAGE (FATAL_ERROR 
-			"Qt version 4.6 required.\n"
+			"Qt version 4.6 or 4.7 required.\n"
 			"Qt version installed is: ${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}\n"
 			"Please install required version.\n"
 		)
-endif( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 6   )
+endif( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} GREATER 5   )
 
 add_subdirectory (qtoctave_pkg/src)
 add_subdirectory (xmlwidget/qt4)

=== easy_plot/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

# The name of our project is "EASY_PLOT".  CMakeLists files in this project can
# refer to the root source directory of the project as ${EASY_PLOT_SOURCE_DIR} and
# to the root binary directory of the project as ${EASY_PLOT_BINARY_DIR}.

project (easy_plot)

#include ("options.txt")

set(CMAKE_VERBOSE_MAKEFILE TRUE)

add_subdirectory (src)

=== qtjs/CMakeLists.txt ===
add_subdirectory (src)

install(
	DIRECTORY doc
	DESTINATION share/doc/qtoctave-utils/qtjs
)

install(
	FILES "instalar.txt" "install.txt"
	DESTINATION share/doc/qtoctave-utils/qtjs
)

=== qtoctave-info-reader/CMakeLists.txt ===
FIND_PACKAGE(Qt4 REQUIRED)

MESSAGE (STATUS "Use file: ${QT_USE_FILE}")

include(UseQt4)

include_directories(${QT_INCLUDE_DIR})
include_directories(${QT_QT_INCLUDE_DIR})
include_directories(${QT_QTCORE_INCLUDE_DIR})
include_directories(${QT_QTGUI_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

FILE(GLOB_RECURSE qtoctave_info_reader_moc_headers *.h  )
FILE(GLOB_RECURSE qtoctave_info_reader_sources *.cpp )
FILE(GLOB_RECURSE qtoctave_info_reader_ui *.ui )
FILE(GLOB_RECURSE qtoctave_info_reader_qrc *.qrc )


# run uic on .ui files:
QT4_WRAP_UI( qtoctave_info_reader_ui_headers ${qtoctave_info_reader_ui} )

# run moc on these files:
QT4_WRAP_CPP( qtoctave_info_reader_moc_sources ${qtoctave_info_reader_moc_headers} )

# run rcc on these files:
QT4_ADD_RESOURCES ( qtoctave_info_reader_qrc_sources ${qtoctave_info_reader_qrc} ) 
 
add_executable(qtoctave-info-reader 
	${qtoctave_info_reader_sources} ${qtoctave_info_reader_moc_sources} ${qtoctave_info_reader_ui_headers} ${qtoctave_info_reader_moc_headers} ${qtoctave_info_reader_qrc_sources} 
)

SET_TARGET_PROPERTIES(qtoctave-info-reader
	PROPERTIES INSTALL_RPATH ":usr/lib"
	BUILD_WITH_INSTALL_RPATH true
	INSTALL_RPATH_USE_LINK_PATH true
)

TARGET_LINK_LIBRARIES(qtoctave-info-reader 
	${Qt4_LIBRARIES} 
	${QT_QTCORE_LIBRARY} 
	${QT_QTGUI_LIBRARY} 
)


install	(
	TARGETS qtoctave-info-reader
	RUNTIME DESTINATION bin
	)

=== qtoctave/CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,8 @@
 
 SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake-modules/)
 
-set(CMAKE_BUILD_TYPE Release)
-
 #Uncoment to Verbose mode
 #set(CMAKE_VERBOSE_MAKEFILE TRUE)
-
-configure_file ( configure.h src/configure.h )
 
 ADD_DEFINITIONS(-DUSER_CONFIG)
 
@@ -39,7 +35,7 @@
   SET(CPACK_PACKAGE_NAME qtoctave)
   SET(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME})
   SET(CPACK_PACKAGE_VERSION_MAJOR "0")
-  SET(CPACK_PACKAGE_VERSION_MINOR "8.1")
+  SET(CPACK_PACKAGE_VERSION_MINOR "8.2")
   SET(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
   SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
   SET(CPACK_SOURCE_IGNORE_FILES "/.svn/;/cmake-build/")

=== simple_rcs/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

# The name of our project is "SIMPLERCS".  CMakeLists files in this project can
# refer to the root source directory of the project as ${SIMPLERCS_SOURCE_DIR} and
# to the root binary directory of the project as ${SIMPLERCS_BINARY_DIR}.

project (simplercs)

#include ("options.txt")

#Uncoment to Verbose mode
#set(CMAKE_VERBOSE_MAKEFILE TRUE)

#ADD_DEFINITIONS(-DUSER_CONFIG)

add_subdirectory (src)

install(
	DIRECTORY design
	DESTINATION share/doc/qtoctave-utils/simple_rcs
	PATTERN ".svn" EXCLUDE
)

=== xmlwidget/CMakeLists.txt ===
add_subdirectory(qt4)

install(
	DIRECTORY doc
	DESTINATION share/doc/qtoctave-utils/xmlwidget
)

install(
	DIRECTORY examples
	DESTINATION share/doc/qtoctave-utils/xmlwidget
)

=== easy_plot/src/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 include_directories(${QT_QTGUI_INCLUDE_DIR})
 include_directories(${QT_QTXML_INCLUDE_DIR})
 include_directories(${QT_QTSVG_INCLUDE_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 QT4_WRAP_UI(ui_design_main_window.h design_main_window.ui)
 QT4_WRAP_UI(ui_export_to_dialog.h export_to_dialog.ui)
@@ -41,7 +42,14 @@
 
 TARGET_LINK_LIBRARIES(easy_plot ${Qt4_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTSQL_LIBRARY} ${QT_QTSVG_LIBRARY})
 
+SET_TARGET_PROPERTIES(easy_plot
+        PROPERTIES INSTALL_RPATH ":usr/lib"
+        BUILD_WITH_INSTALL_RPATH true
+        INSTALL_RPATH_USE_LINK_PATH true
+)
+
 install	(
-		PROGRAMS easy_plot
-		DESTINATION bin
+		TARGETS easy_plot
+		RUNTIME DESTINATION bin
 	)
+

=== qtjs/src/CMakeLists.txt ===
FIND_PACKAGE(Qt4 REQUIRED)

MESSAGE (STATUS "Use file: ${QT_USE_FILE}")

SET(QT_USE_QTXML 1)

include(UseQt4)

include_directories(${QT_INCLUDE_DIR})
include_directories(${QT_QT_INCLUDE_DIR})
include_directories(${QT_QTCORE_INCLUDE_DIR})
include_directories(${QT_QTGUI_INCLUDE_DIR})
include_directories(${QT_QTXML_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
#include_directories(${QT_QTSVG_INCLUDE_DIR})
include_directories(${QT_QTSCRIPT_INCLUDE_DIR})
include_directories(${QT_QTUITOOLS_INCLUDE_DIR})

FILE(GLOB_RECURSE qtjs_moc_headers *.h  )
FILE(GLOB_RECURSE qtjs_sources *.cpp )
FILE(GLOB_RECURSE qtjs_ui *.ui )

# run uic on .ui files:
QT4_WRAP_UI( qtjs_ui_headers ${qtjs_ui} )

# run moc on these files:
QT4_WRAP_CPP( qtjs_moc_sources ${qtjs_moc_headers} )
 
add_executable(qtjs 
	${qtjs_sources} ${qtjs_moc_sources} ${qtjs_ui_headers} ${qtjs_moc_headers}
)

SET_TARGET_PROPERTIES(qtjs
	PROPERTIES INSTALL_RPATH ":usr/lib"
	BUILD_WITH_INSTALL_RPATH true
	INSTALL_RPATH_USE_LINK_PATH true
)

TARGET_LINK_LIBRARIES(qtjs 
	${Qt4_LIBRARIES} 
	${QT_QTCORE_LIBRARY} 
	${QT_QTGUI_LIBRARY} 
	${QT_QTXML_LIBRARY} 
	#${QT_QTSVG_LIBRARY} 
	${QT_QTSCRIPT_LIBRARY}
	${QT_QTUITOOLS_LIBRARY}
)


install	(
	TARGETS qtjs
	RUNTIME DESTINATION bin
	)

=== qtoctave/src/CMakeLists.txt ===
--- 
+++ 
@@ -18,14 +18,31 @@
 FILE(GLOB_RECURSE qtoctave_sources *.cpp )
 FILE(GLOB_RECURSE qtoctave_ui *.ui )
 
+configure_file( configure.h.in ${CMAKE_CURRENT_BINARY_DIR}/configure.h )
+
 # run uic on .ui files:
 QT4_WRAP_UI( qtoctave_ui_headers ${qtoctave_ui} )
 
 # run moc on these files:
 QT4_WRAP_CPP( qtoctave_moc_sources ${qtoctave_moc_headers} )
- 
+
+# Generate qm files if needed
+file(GLOB lang_files "lang/*.ts" GLOB "lang/*.qph")
+foreach(lang_file ${lang_files})
+  get_filename_component(this_qm ${lang_file} NAME_WE)
+  set(this_qm "${this_qm}.qm")
+  add_custom_command(OUTPUT ${this_qm}
+    COMMAND "lrelease"
+    ARGS ${lang_file} -qm "${this_qm}"
+    DEPENDS ${lang_file}
+    )
+  set(qm "${qm};${this_qm}")
+  set(qm_build "${qm_build};${CMAKE_CURRENT_BINARY_DIR}/${this_qm}")
+endforeach()
+
+
 add_executable(qtoctave 
-	${qtoctave_sources} ${qtoctave_moc_sources} ${qtoctave_ui_headers} ${qtoctave_moc_headers}
+	${qtoctave_sources} ${qtoctave_moc_sources} ${qtoctave_ui_headers} ${qtoctave_moc_headers} ${qm}
 )
 
 SET_TARGET_PROPERTIES(qtoctave
@@ -37,10 +54,29 @@
 TARGET_LINK_LIBRARIES(qtoctave ${Qt4_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTSVG_LIBRARY})
 
 install (
-	DIRECTORY images octave_doc qtoctave_doc menus scripts scripts_octave lang
+	DIRECTORY images menus scripts scripts_octave syntax_files
 	DESTINATION share/qtoctave
 	PATTERN ".svn" EXCLUDE
         )
+
+install(
+  FILES ${qm_build}
+  DESTINATION share/qtoctave/lang
+)
+
+
+
+install (
+	DIRECTORY octave_doc
+	DESTINATION share/doc/octave-html
+	PATTERN ".svn" EXCLUDE
+	)
+
+install (
+	DIRECTORY qtoctave_doc
+	DESTINATION share/doc/qtoctave
+	PATTERN ".svn" EXCLUDE
+	)
 
 install	(
 	TARGETS qtoctave
@@ -48,7 +84,7 @@
 	)
 
 install (
-	FILES config_files/config.rc config_files/octave.xml
+	FILES config_files/config.rc
 	DESTINATION share/qtoctave
 	)

=== qtoctave_pkg/src/CMakeLists.txt ===
FIND_PACKAGE(Qt4 REQUIRED)

MESSAGE (STATUS "Use file: ${QT_USE_FILE}")

SET(QT_USE_QTXML 1)

include(UseQt4)

include_directories(${QT_INCLUDE_DIR})
include_directories(${QT_QT_INCLUDE_DIR})
include_directories(${QT_QTCORE_INCLUDE_DIR})
include_directories(${QT_QTGUI_INCLUDE_DIR})
include_directories(${QT_QTXML_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${QT_QTNETWORK_INCLUDE_DIR})

FILE(GLOB_RECURSE qtoctave_pkg_moc_headers *.h  )
FILE(GLOB_RECURSE qtoctave_pkg_sources *.cpp )
FILE(GLOB_RECURSE qtoctave_pkg_ui *.ui )
FILE(GLOB_RECURSE qtoctave_pkg_qrc *.qrc )


# run uic on .ui files:
QT4_WRAP_UI( qtoctave_pkg_ui_headers ${qtoctave_pkg_ui} )

# run moc on these files:
QT4_WRAP_CPP( qtoctave_pkg_moc_sources ${qtoctave_pkg_moc_headers} )

# run rcc on these files:
QT4_ADD_RESOURCES ( qtoctave_pkg_qrc_sources ${qtoctave_pkg_qrc} ) 
 
add_executable(qtoctave_pkg 
	${qtoctave_pkg_sources} ${qtoctave_pkg_moc_sources} ${qtoctave_pkg_ui_headers} ${qtoctave_pkg_moc_headers} ${qtoctave_pkg_qrc_sources} 
)

SET_TARGET_PROPERTIES(qtoctave_pkg
	PROPERTIES INSTALL_RPATH ":usr/lib"
	BUILD_WITH_INSTALL_RPATH true
	INSTALL_RPATH_USE_LINK_PATH true
)

TARGET_LINK_LIBRARIES(qtoctave_pkg 
	${Qt4_LIBRARIES} 
	${QT_QTCORE_LIBRARY} 
	${QT_QTGUI_LIBRARY} 
	${QT_QTXML_LIBRARY}
	${QT_QTNETWORK_LIBRARY}
)


install	(
	TARGETS qtoctave_pkg
	RUNTIME DESTINATION bin
	)

=== simple_rcs/src/CMakeLists.txt ===
FIND_PACKAGE(Qt4 REQUIRED)

MESSAGE (STATUS "Use file: ${QT_USE_FILE}")

SET(QT_USE_QTXML 1)

include(UseQt4)

include_directories(${QT_INCLUDE_DIR})
include_directories(${QT_QT_INCLUDE_DIR})
include_directories(${QT_QTCORE_INCLUDE_DIR})
include_directories(${QT_QTGUI_INCLUDE_DIR})
#include_directories(${QT_QTXML_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
#include_directories(${QT_QTSVG_INCLUDE_DIR})

FILE(GLOB_RECURSE src_moc_headers *.h  )
FILE(GLOB_RECURSE src_sources *.cpp )
FILE(GLOB_RECURSE src_ui *.ui )

# run uic on .ui files:
QT4_WRAP_UI( src_ui_headers ${src_ui} )

# run moc on these files:
QT4_WRAP_CPP( src_moc_sources ${src_moc_headers} )
 
add_executable(simplercs 
	${src_sources} ${src_moc_sources} ${src_ui_headers} ${src_moc_headers}
)

SET_TARGET_PROPERTIES(simplercs
	PROPERTIES INSTALL_RPATH ":usr/lib"
	BUILD_WITH_INSTALL_RPATH true
	INSTALL_RPATH_USE_LINK_PATH true
)

TARGET_LINK_LIBRARIES(simplercs ${Qt4_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} )


install	(
	TARGETS simplercs
	RUNTIME DESTINATION bin
	)

=== debian/changelog ===
qtoctave (0.10.1-4) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Indicate in the splash screen that qtoctave is a deprecated program

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Remove homepage, it no longer exists.
  * Remove obsolete DM-Upload-Allowed field.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Use canonical URLs for Vcs-* fields.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 27 Feb 2014 17:30:47 +0000

qtoctave (0.10.1-3) unstable; urgency=low

  * Depend on octave 3.6
  * Recommend octave-info, since by default qtoctave uses Info and not HTML
  * Bump to debhelper compat level 9
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/patches/use_octave_htmldoc: update patch
  * debian/patches/qtinfo-octave3.4: new patch from upstream SVN
  * debian/patches/initial_position: new patch imported from Fedora
  * debian/patches/no-native-menubars: new patch imported from Ubuntu

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 11 Mar 2012 17:22:47 +0100

qtoctave (0.10.1-2) unstable; urgency=low

  * Fix name of stub manpage for qtoctave-info-reader (was incorrectly
    named qtinfo.1)
  * debian/patches/filedialog-filters: new patch, fixes *.m filename
    filters in file dialogs (closes: #620062)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 21 Aug 2011 16:40:26 +0200

qtoctave (0.10.1-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream release (closes: #593447, #621942)
  * debian/control:
    - Bump Standards-Version to 3.9.2 (no changes needed)
    - Remove article in short description (lintian was complaining)
    - Update Octave version in long description
    - Add myself to Uploaders
  * debian/copyright: remove obsolete paragraph about tarball repackaging
  * debian/watch: fix bug in regexp, the tarball extension was in the
    version number matched

 -- Thomas Weber <tweber@debian.org>  Mon, 27 Jun 2011 22:48:36 +0200

=== debian/control ===
Source: qtoctave
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Jordi Gutiérrez Hermoso <jordigh@gmail.com>,
 Thomas Weber <tweber@debian.org>,
 Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9), cdbs, cmake, sharutils,
 libqt4-dev (>= 4.4.0~rc1-4)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-octave/qtoctave.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/qtoctave.git

Package: qtoctave
Architecture: any
Depends: octave, ${shlibs:Depends}, ${misc:Depends}
Recommends: octave-htmldoc, octave-info
Description: Qt front-end to Octave
 Besides offering an attractive front-end to GNU Octave, an
 environment for numerical computation highly compatible with MATLAB,
 QtOctave currently also features matrix data entry and display and
 some GUI shortcuts to frequently used Octave functions. It also
 offers access in place to Octave's documentation with octave-htmldoc
 or octave-info.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

# include icons
build/qtoctave::
	tar -xf debian/icons.tar -C debian

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//				\
	http://forja.rediris.es/frs/?group_id=60	\
	(?:.*)\/qtoctave-([\d*\.]+)\.tar\.(?:gz|bz2)
